CREATE procedure [C6Staging].[RP_ST_PatrimonioTerzi] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PatrimonioTerzi',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_PatrimonioTerzi
--drop table c6staging.RP_PatrimonioTerzi
--select * into c6staging.RP_PatrimonioTerzi from [CONSUNI].[ConsulenzaUnica].dbo.PatrimonioTerzi
/*  11/05/2015FCianfa e LM: aggiunta della where condition e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.
*/
	insert into c6staging.RP_PatrimonioTerzi
		select chiaveProdottoTerzi  ,    
chiaveClientePB      ,    
idTipoProdotto       ,    
nomeProdotto         ,
NULL                 ,     
valutaCtv            ,    
ctv                  ,   
NULL                 ,         
dataCtv              ,    
prezzoMedioCarico    ,    
tipoProd             ,    
dtFine               ,    
divisa               ,    
ultimoPrezzo         
from [CONSUNI].[ConsulenzaUnica].dbo.PatrimonioTerzi
where dtFineValidita >getdate() 
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PatrimonioTerzi' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PatrimonioTerzi'
		)
end